Loading...
Searching...
No Matches
L4Re::Vfs::Ops Class Referenceabstract

Interface for the POSIX backends of an application. More...

`#include <vfs.h>`

Inheritance diagram for L4Re::Vfs::Ops:
Collaboration diagram for L4Re::Vfs::Ops:

## Additional Inherited Members

Public Member Functions inherited from L4Re::Vfs::Mman
virtual int | mmap2 (void *start, size_t len, int prot, int flags, int fd, off_t offset, void **ptr) noexcept=0
| Backend for the mmap2 system call.
virtual int | munmap (void *start, size_t len) noexcept=0
| Backend for the munmap system call.
virtual int | mremap (void *old, size_t old_sz, size_t new_sz, int flags, void **new_addr) noexcept=0
| Backend for the mremap system call.
virtual int | mprotect (const void *a, size_t sz, int prot) noexcept=0
| Backend for the mprotect system call.
virtual int | msync (void *addr, size_t len, int flags) noexcept=0
| Backend for the msync system call.
virtual int | madvise (void *addr, size_t len, int advice) noexcept=0
| Backend for the madvice system call.
Public Member Functions inherited from L4Re::Vfs::Fs
virtual cxx::Ref_ptr< File > | get_file (int fd) noexcept=0
| Get the L4Re::Vfs::File for the file descriptor fd.
virtual cxx::Ref_ptr< File > | get_root () noexcept=0
| Get the directory object for the application's root directory.
virtual cxx::Ref_ptr< File > | get_cwd () noexcept
| Get the directory object for the application's current working directory.
virtual void | set_cwd (cxx::Ref_ptr< File > const &) noexcept
| Set the current working directory for the application.
virtual int | alloc_fd (cxx::Ref_ptr< File > const &f=cxx::Ref_ptr<>::Nil) noexcept=0
| Allocate the next free file descriptor.
virtual cxx::Pair< cxx::Ref_ptr< File >, int > | set_fd (int fd, cxx::Ref_ptr< File > const &f=cxx::Ref_ptr<>::Nil) noexcept=0
| Set the file object referenced by the file descriptor fd.
virtual cxx::Ref_ptr< File > | free_fd (int fd) noexcept=0
| Free the file descriptor fd.
virtual int | mount (char const *path, cxx::Ref_ptr< File > const &dir) noexcept=0
| Mount a given file object at the given global path in the VFS.
int | mount (char const *source, char const *target, char const *fstype, unsigned long mountflags, void const *data) noexcept
| Backend for the POSIX mount call.

## Detailed Description

Interface for the POSIX backends of an application.

Note
  There usually exists a single instance of this interface available via L4Re::Vfs::vfs_ops that is used for all kinds of C-Library functions.

Definition at line 1109 of file vfs.h.

The documentation for this class was generated from the following file:

- l4/l4re_vfs/vfs.h